%define upstream_name    Dist-Zilla-Plugin-WSDL
%define upstream_version 0.205

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    WSDL to Perl classes when building your dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::Tempdir)
BuildRequires: perl(Dist::Zilla::Tester) >= 4.101.550
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Regexp::DefaultFlags)
BuildRequires: perl(SOAP::WSDL::Expat::WSDLParser)
BuildRequires: perl(SOAP::WSDL::Factory::Generator)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Tree::DAG_Node) >= 1.60.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This Dist::Zilla plugin will create classes in your distribution for
interacting with a web service based on that service's published WSDL file.
It uses SOAP::WSDL and can optionally add both a class prefix and a
typemap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.205.0-3.mga4
+ Revision: 511147
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.205.0-2.mga3
+ Revision: 366555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.205.0-1.mga2
+ Revision: 106922
- update to 0.205

* Tue Mar 15 2011 jquelin <jquelin> 0.102.600-1.mga1
+ Revision: 71649
- imported package perl-Dist-Zilla-Plugin-WSDL


* Tue Mar 15 2011 cpan2dist 0.102600-1mga
- initial mageia release, generated with cpan2dist
